Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.regexp
Class NeverSuppress

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.regexp.NeverSuppress

    public final class NeverSuppress

extends Object

An implementation of `MatchSuppressor` that never suppresses a match.

Author:
  oliver

Field Summary
`static com.puppycrawl.tools.checkstyle.checks.regexp.MatchSuppressor` | `INSTANCE` The shared instance.

Method Summary
`boolean` | `shouldSuppress(int aStartLineNo, int aStartColNo, int aEndLineNo, int aEndColNo)` Checks if the specified selection should be suppressed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final com.puppycrawl.tools.checkstyle.checks.regexp.MatchSuppressor INSTANCE

  The shared instance.

Method Detail

### shouldSuppress

    public boolean shouldSuppress(int aStartLineNo,
                                  int aStartColNo,
                                  int aEndLineNo,
                                  int aEndColNo)

  Checks if the specified selection should be suppressed.

  Parameters:
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number
    `aEndLineNo` - the ending line number
    `aEndColNo` - the ending column number
  Returns:
    true if the positions intersects with a comment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011. All Rights Reserved.